import time, requests, datetime
# def date_to_unix(DTS):
#     return int(datetime.datetime.strptime(DTS, '%Y-%m-%d %H:%M:%S').timestamp()) * 1000000
# from config import filters_list

# # print("\n".join([f"{j}) {i}" for j, i in enumerate(filters_list)]))


# url = "https://api.divar.ir/v8/web-search/22/real-estate"
# last_post_date = date_to_unix(datetime.datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
# categories = ['apartment-sell', 'apartment-rent', 'commercial-sell', 'commercial-rent']
# header_post = {
#         "Content-Type": "text/plain",
#     }
headers ={
    "Content-Type": "application/json", 'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36'
    }
# for cat in categories:    
#     json = {"json_schema": {"category": {"value": cat}, "business-type": {"value": "personal"}},
#     "last_post_date":last_post_date}
#     res = requests.post(url, json=json, headers=headers)
#     data = res.json()
#     print(data)
#     for j in data["web_widgets"]["post_list"]:
#         print(j["data"]["image_url"])
#     time.sleep(5)
#     print(cat)
#     print("*"*100)


from datetime import datetime, timezone
now_utc = datetime.now(timezone.utc)
iso_format_now = now_utc.isoformat(timespec='microseconds').replace('+00:00', 'Z')

# print(iso_format_now)

json = {
  "city_ids": [
    "22"
  ],
  "pagination_data": {
    "@type": "type.googleapis.com/post_list.PaginationData",
    "last_post_date": iso_format_now,
    "page": 1,
    "layer_page": 1
  },
  "search_data": {
    "form_data": {
      "data": {
        "business-type":{"str": {"value": "personal"}},
        "category": {
          "str": {
            "value": "residential-sell"
          }
        },
        "sort": {
          "str": {
            "value": "sort_date"
          }
        }
      }
    }
  }
}
   
url = "https://api.divar.ir/v8/postlist/w/search"
res = requests.post(url, headers=headers, json=json)
print(res.status_code)

for i in res.json()["list_widgets"]:
    data = i["data"]
    token = data["action"]["payload"]["token"]
    # print(data)
    print(token)
    title = data["title"]
    photo_link = data.get("image_url", None)
    price = data.get("middle_description_text", " ") + "\n" + data.get("top_description_text", " ") + "\n" + data.get("bottom_description_text", " ")
    # print(price)
    print("-"*50)